# Change Log

## [Unreleased](https://github.com/hyperoslo/ImagePicker/tree/HEAD)

[Full Changelog](https://github.com/hyperoslo/ImagePicker/compare/1.2...HEAD)

**Fixed bugs:**

- Dangerous warning  [\#126](https://github.com/hyperoslo/ImagePicker/issues/126)

**Closed issues:**

- Demo Could Not Run [\#155](https://github.com/hyperoslo/ImagePicker/issues/155)
- UICollectionViewFlowLayoutForInvalidSizes [\#152](https://github.com/hyperoslo/ImagePicker/issues/152)
- Swift 3.0 Warnings [\#138](https://github.com/hyperoslo/ImagePicker/issues/138)
- iPad 2 crash [\#124](https://github.com/hyperoslo/ImagePicker/issues/124)
- Is there plan to support different albums? [\#114](https://github.com/hyperoslo/ImagePicker/issues/114)
- Only Photo Library [\#113](https://github.com/hyperoslo/ImagePicker/issues/113)
- Take a picture programmatically [\#111](https://github.com/hyperoslo/ImagePicker/issues/111)

**Merged pull requests:**

- Remove Guard in Demo [\#157](https://github.com/hyperoslo/ImagePicker/pull/157) ([onmyway133](https://github.com/onmyway133))
- Stop in deinit [\#153](https://github.com/hyperoslo/ImagePicker/pull/153) ([onmyway133](https://github.com/onmyway133))
- Improvements [\#151](https://github.com/hyperoslo/ImagePicker/pull/151) ([onmyway133](https://github.com/onmyway133))
- Refactor/camera [\#150](https://github.com/hyperoslo/ImagePicker/pull/150) ([onmyway133](https://github.com/onmyway133))
- Check input before add [\#149](https://github.com/hyperoslo/ImagePicker/pull/149) ([onmyway133](https://github.com/onmyway133))
- Use serial sessionQueue because most session calls are blocking [\#146](https://github.com/hyperoslo/ImagePicker/pull/146) ([onmyway133](https://github.com/onmyway133))
- Check for buffer [\#145](https://github.com/hyperoslo/ImagePicker/pull/145) ([onmyway133](https://github.com/onmyway133))
- Configure preset before addInput [\#144](https://github.com/hyperoslo/ImagePicker/pull/144) ([onmyway133](https://github.com/onmyway133))
- Add a Gitter chat badge to README.md [\#143](https://github.com/hyperoslo/ImagePicker/pull/143) ([gitter-badger](https://github.com/gitter-badger))
- Release 1.3 [\#141](https://github.com/hyperoslo/ImagePicker/pull/141) ([aashishdhawan](https://github.com/aashishdhawan))
- Reset transform and contentInset just in case [\#140](https://github.com/hyperoslo/ImagePicker/pull/140) ([onmyway133](https://github.com/onmyway133))
- Call reloadData after updating collectionSize [\#139](https://github.com/hyperoslo/ImagePicker/pull/139) ([onmyway133](https://github.com/onmyway133))
- Fix access UI not on main queue [\#137](https://github.com/hyperoslo/ImagePicker/pull/137) ([onmyway133](https://github.com/onmyway133))
- Refactor. Move showNoCamera into mainQueue [\#136](https://github.com/hyperoslo/ImagePicker/pull/136) ([onmyway133](https://github.com/onmyway133))
- Remove sessionPreset [\#134](https://github.com/hyperoslo/ImagePicker/pull/134) ([aashishdhawan](https://github.com/aashishdhawan))
- Fix UI when Camera access is denied. [\#133](https://github.com/hyperoslo/ImagePicker/pull/133) ([aashishdhawan](https://github.com/aashishdhawan))
- Refactored ImageGalleryPanGestureDelegate [\#132](https://github.com/hyperoslo/ImagePicker/pull/132) ([aashishdhawan](https://github.com/aashishdhawan))
- Change demo bundle to no.hyper.ImagePickerDemo [\#131](https://github.com/hyperoslo/ImagePicker/pull/131) ([onmyway133](https://github.com/onmyway133))
- Fix frame for NoImage Label [\#130](https://github.com/hyperoslo/ImagePicker/pull/130) ([aashishdhawan](https://github.com/aashishdhawan))
- Fix Image Limit bug [\#129](https://github.com/hyperoslo/ImagePicker/pull/129) ([aashishdhawan](https://github.com/aashishdhawan))
- Refactored LocationManager into its own File [\#128](https://github.com/hyperoslo/ImagePicker/pull/128) ([aashishdhawan](https://github.com/aashishdhawan))
- Fixing frame issues on rotation [\#127](https://github.com/hyperoslo/ImagePicker/pull/127) ([aashishdhawan](https://github.com/aashishdhawan))
- Refactored same code in a class [\#122](https://github.com/hyperoslo/ImagePicker/pull/122) ([aashishdhawan](https://github.com/aashishdhawan))
- Minor refactoring [\#121](https://github.com/hyperoslo/ImagePicker/pull/121) ([aashishdhawan](https://github.com/aashishdhawan))
- Fix/image selection [\#120](https://github.com/hyperoslo/ImagePicker/pull/120) ([onmyway133](https://github.com/onmyway133))
- Improve/swift 2.2 [\#119](https://github.com/hyperoslo/ImagePicker/pull/119) ([onmyway133](https://github.com/onmyway133))

## [1.2](https://github.com/hyperoslo/ImagePicker/tree/1.2) (2016-03-18)
[Full Changelog](https://github.com/hyperoslo/ImagePicker/compare/1.1...1.2)

**Implemented enhancements:**

- Metadata support [\#102](https://github.com/hyperoslo/ImagePicker/issues/102)

**Closed issues:**

- I am trying to use the demo with latest cocoda pod and xcode 7 but its not working [\#108](https://github.com/hyperoslo/ImagePicker/issues/108)
- To quickly explore the demo project, as a User, I'd like to be able to run the demo on a device. [\#99](https://github.com/hyperoslo/ImagePicker/issues/99)
- Can't run demo app as-is [\#98](https://github.com/hyperoslo/ImagePicker/issues/98)
- Objective C support ? [\#97](https://github.com/hyperoslo/ImagePicker/issues/97)
- After dismissing the view overlaps with status bar. [\#94](https://github.com/hyperoslo/ImagePicker/issues/94)
- Present ViewController from the ImagePickerController [\#88](https://github.com/hyperoslo/ImagePicker/issues/88)
- Add paragraph about how to limit selection in the README [\#86](https://github.com/hyperoslo/ImagePicker/issues/86)
- Limitation for images [\#85](https://github.com/hyperoslo/ImagePicker/issues/85)
- StatusBar is kept hidden when leaving view [\#78](https://github.com/hyperoslo/ImagePicker/issues/78)

**Merged pull requests:**

- Disable code signing [\#109](https://github.com/hyperoslo/ImagePicker/pull/109) ([zenangst](https://github.com/zenangst))
- Record location with CLLocationManager if permission given by user [\#107](https://github.com/hyperoslo/ImagePicker/pull/107) ([fnakstad](https://github.com/fnakstad))
- Fix bug where pictures are repeatedly taken due to new AVCaptureSessi… [\#106](https://github.com/hyperoslo/ImagePicker/pull/106) ([fnakstad](https://github.com/fnakstad))
- Fixed issues in iPad landscape [\#104](https://github.com/hyperoslo/ImagePicker/pull/104) ([BenchR267](https://github.com/BenchR267))
- fix reloadAssets still showing pictures as selected in collection view [\#101](https://github.com/hyperoslo/ImagePicker/pull/101) ([aronse](https://github.com/aronse))
- Changed how status bar appear/disappear [\#95](https://github.com/hyperoslo/ImagePicker/pull/95) ([JARMourato](https://github.com/JARMourato))
- Can Disable Camera Rotation [\#93](https://github.com/hyperoslo/ImagePicker/pull/93) ([kernjackson](https://github.com/kernjackson))
- Support taking pictures with volume button [\#92](https://github.com/hyperoslo/ImagePicker/pull/92) ([zenangst](https://github.com/zenangst))
- Support rotation [\#91](https://github.com/hyperoslo/ImagePicker/pull/91) ([zenangst](https://github.com/zenangst))
- Add image selection limiting to the README [\#90](https://github.com/hyperoslo/ImagePicker/pull/90) ([zenangst](https://github.com/zenangst))
- Configure Travis to build the project [\#89](https://github.com/hyperoslo/ImagePicker/pull/89) ([zenangst](https://github.com/zenangst))
- Fix framework resources [\#87](https://github.com/hyperoslo/ImagePicker/pull/87) ([vadymmarkov](https://github.com/vadymmarkov))

## [1.1](https://github.com/hyperoslo/ImagePicker/tree/1.1) (2016-01-05)
[Full Changelog](https://github.com/hyperoslo/ImagePicker/compare/1.0...1.1)

**Implemented enhancements:**

- How to limit number of images to select?   [\#66](https://github.com/hyperoslo/ImagePicker/issues/66)

**Closed issues:**

- Not able to force only 1 picture selection [\#81](https://github.com/hyperoslo/ImagePicker/issues/81)
- Status Bar Hidden [\#77](https://github.com/hyperoslo/ImagePicker/issues/77)
- set max number of photos for selection? [\#76](https://github.com/hyperoslo/ImagePicker/issues/76)
- Status bar is not reset when ImagePicker is removed [\#69](https://github.com/hyperoslo/ImagePicker/issues/69)
- Update for iOS 9.0 [\#67](https://github.com/hyperoslo/ImagePicker/issues/67)

**Merged pull requests:**

- Release 1.1 [\#84](https://github.com/hyperoslo/ImagePicker/pull/84) ([RamonGilabert](https://github.com/RamonGilabert))
- Development [\#83](https://github.com/hyperoslo/ImagePicker/pull/83) ([RamonGilabert](https://github.com/RamonGilabert))
- Fixes the development branch with master [\#82](https://github.com/hyperoslo/ImagePicker/pull/82) ([RamonGilabert](https://github.com/RamonGilabert))
- Add Carthage in Readme [\#75](https://github.com/hyperoslo/ImagePicker/pull/75) ([vadymmarkov](https://github.com/vadymmarkov))
- Feature: carthage support [\#74](https://github.com/hyperoslo/ImagePicker/pull/74) ([vadymmarkov](https://github.com/vadymmarkov))
- Refactoring the ImagePicker. [\#72](https://github.com/hyperoslo/ImagePicker/pull/72) ([RamonGilabert](https://github.com/RamonGilabert))
- Status bar initial state [\#71](https://github.com/hyperoslo/ImagePicker/pull/71) ([RamonGilabert](https://github.com/RamonGilabert))
- Feature requests [\#68](https://github.com/hyperoslo/ImagePicker/pull/68) ([RamonGilabert](https://github.com/RamonGilabert))
- Adds new image with white brackground [\#65](https://github.com/hyperoslo/ImagePicker/pull/65) ([RamonGilabert](https://github.com/RamonGilabert))
- Release 1.0 [\#64](https://github.com/hyperoslo/ImagePicker/pull/64) ([RamonGilabert](https://github.com/RamonGilabert))

## [1.0](https://github.com/hyperoslo/ImagePicker/tree/1.0) (2015-12-01)
**Implemented enhancements:**

- Use Swift set instead of Array to store images/photos [\#50](https://github.com/hyperoslo/ImagePicker/issues/50)

**Fixed bugs:**

- Crash, branch swift 2.0 [\#29](https://github.com/hyperoslo/ImagePicker/issues/29)
- AutoLayout warning [\#19](https://github.com/hyperoslo/ImagePicker/issues/19)

**Closed issues:**

- Fetch all the photos of the camera effitiently [\#6](https://github.com/hyperoslo/ImagePicker/issues/6)
- Be able to do all you can do with the normal camera [\#5](https://github.com/hyperoslo/ImagePicker/issues/5)
- Display a message when the gallery is not available [\#4](https://github.com/hyperoslo/ImagePicker/issues/4)
- Crash on loading demo [\#2](https://github.com/hyperoslo/ImagePicker/issues/2)

**Merged pull requests:**

- Improve README [\#63](https://github.com/hyperoslo/ImagePicker/pull/63) ([RamonGilabert](https://github.com/RamonGilabert))
- README [\#62](https://github.com/hyperoslo/ImagePicker/pull/62) ([RamonGilabert](https://github.com/RamonGilabert))
- Improve the README. [\#61](https://github.com/hyperoslo/ImagePicker/pull/61) ([RamonGilabert](https://github.com/RamonGilabert))
- Adds the other part of the README to resolve assets [\#60](https://github.com/hyperoslo/ImagePicker/pull/60) ([RamonGilabert](https://github.com/RamonGilabert))
- Refactor configuration to be static instead of a singleton [\#59](https://github.com/hyperoslo/ImagePicker/pull/59) ([RamonGilabert](https://github.com/RamonGilabert))
- README [\#58](https://github.com/hyperoslo/ImagePicker/pull/58) ([RamonGilabert](https://github.com/RamonGilabert))
- Generic fix [\#57](https://github.com/hyperoslo/ImagePicker/pull/57) ([RamonGilabert](https://github.com/RamonGilabert))
- Improvements across. [\#56](https://github.com/hyperoslo/ImagePicker/pull/56) ([RamonGilabert](https://github.com/RamonGilabert))
- Feature: camera not available [\#55](https://github.com/hyperoslo/ImagePicker/pull/55) ([vadymmarkov](https://github.com/vadymmarkov))
- Update noImagesLabel  [\#54](https://github.com/hyperoslo/ImagePicker/pull/54) ([onmyway133](https://github.com/onmyway133))
- Feature loading indicator [\#53](https://github.com/hyperoslo/ImagePicker/pull/53) ([zenangst](https://github.com/zenangst))
- Fix delegate call in the closure. [\#51](https://github.com/hyperoslo/ImagePicker/pull/51) ([vadymmarkov](https://github.com/vadymmarkov))
- Fix/collection view resizing [\#49](https://github.com/hyperoslo/ImagePicker/pull/49) ([richardoti](https://github.com/richardoti))
- New design + refactoring [\#48](https://github.com/hyperoslo/ImagePicker/pull/48) ([richardoti](https://github.com/richardoti))
- Improves the cropping of the image. [\#47](https://github.com/hyperoslo/ImagePicker/pull/47) ([RamonGilabert](https://github.com/RamonGilabert))
- Disable "flash" button if capture device has no flash. [\#46](https://github.com/hyperoslo/ImagePicker/pull/46) ([richardoti](https://github.com/richardoti))
- Adds public to the configuration. [\#45](https://github.com/hyperoslo/ImagePicker/pull/45) ([RamonGilabert](https://github.com/RamonGilabert))
- Adds public where necessary. [\#44](https://github.com/hyperoslo/ImagePicker/pull/44) ([RamonGilabert](https://github.com/RamonGilabert))
- Fixes last force cast. [\#43](https://github.com/hyperoslo/ImagePicker/pull/43) ([RamonGilabert](https://github.com/RamonGilabert))
- Make Photos public [\#42](https://github.com/hyperoslo/ImagePicker/pull/42) ([zenangst](https://github.com/zenangst))
- Lookup asynchronously and use PHAssets instead of UIImages [\#41](https://github.com/hyperoslo/ImagePicker/pull/41) ([zenangst](https://github.com/zenangst))
- Feature/external configuration [\#40](https://github.com/hyperoslo/ImagePicker/pull/40) ([RamonGilabert](https://github.com/RamonGilabert))
- Refactor code to remove and improve all the things [\#39](https://github.com/hyperoslo/ImagePicker/pull/39) ([zenangst](https://github.com/zenangst))
- Remove force unwrapping [\#38](https://github.com/hyperoslo/ImagePicker/pull/38) ([zenangst](https://github.com/zenangst))
- Improves all the things [\#37](https://github.com/hyperoslo/ImagePicker/pull/37) ([RamonGilabert](https://github.com/RamonGilabert))
- Adds two new things [\#36](https://github.com/hyperoslo/ImagePicker/pull/36) ([RamonGilabert](https://github.com/RamonGilabert))
- Improvements in the fetching. [\#34](https://github.com/hyperoslo/ImagePicker/pull/34) ([RamonGilabert](https://github.com/RamonGilabert))
- Fix/collectionview cells [\#33](https://github.com/hyperoslo/ImagePicker/pull/33) ([richardoti](https://github.com/richardoti))
- Improves the security in ImagePicker [\#32](https://github.com/hyperoslo/ImagePicker/pull/32) ([RamonGilabert](https://github.com/RamonGilabert))
- Swift 2.0 [\#31](https://github.com/hyperoslo/ImagePicker/pull/31) ([RamonGilabert](https://github.com/RamonGilabert))
- Fix image rotation [\#30](https://github.com/hyperoslo/ImagePicker/pull/30) ([richardoti](https://github.com/richardoti))
- Fix/crash [\#28](https://github.com/hyperoslo/ImagePicker/pull/28) ([richardoti](https://github.com/richardoti))
- Fix image rotation bug [\#26](https://github.com/hyperoslo/ImagePicker/pull/26) ([richardoti](https://github.com/richardoti))
- Make suffix\(\) zero-based [\#25](https://github.com/hyperoslo/ImagePicker/pull/25) ([richardoti](https://github.com/richardoti))
- Improve/usability [\#23](https://github.com/hyperoslo/ImagePicker/pull/23) ([RamonGilabert](https://github.com/RamonGilabert))
- Fixes the iPhone 4 problem [\#21](https://github.com/hyperoslo/ImagePicker/pull/21) ([RamonGilabert](https://github.com/RamonGilabert))
- Improvements/refactoring matching desings [\#18](https://github.com/hyperoslo/ImagePicker/pull/18) ([RamonGilabert](https://github.com/RamonGilabert))
- Remove shared instance [\#16](https://github.com/hyperoslo/ImagePicker/pull/16) ([richardoti](https://github.com/richardoti))
- Fix/image picker bug fixes [\#15](https://github.com/hyperoslo/ImagePicker/pull/15) ([richardoti](https://github.com/richardoti))
- Improve/image stack [\#14](https://github.com/hyperoslo/ImagePicker/pull/14) ([richardoti](https://github.com/richardoti))
- Refactor [\#13](https://github.com/hyperoslo/ImagePicker/pull/13) ([richardoti](https://github.com/richardoti))
- Transfer branch [\#12](https://github.com/hyperoslo/ImagePicker/pull/12) ([richardoti](https://github.com/richardoti))
- Added public everywhere [\#10](https://github.com/hyperoslo/ImagePicker/pull/10) ([RamonGilabert](https://github.com/RamonGilabert))
- Added new delegate method [\#9](https://github.com/hyperoslo/ImagePicker/pull/9) ([RamonGilabert](https://github.com/RamonGilabert))
- Added public protocol [\#8](https://github.com/hyperoslo/ImagePicker/pull/8) ([RamonGilabert](https://github.com/RamonGilabert))
- Feature/actual camera [\#7](https://github.com/hyperoslo/ImagePicker/pull/7) ([RamonGilabert](https://github.com/RamonGilabert))
- Replace UIColor with .color\(\) [\#3](https://github.com/hyperoslo/ImagePicker/pull/3) ([richardoti](https://github.com/richardoti))
- First implementation [\#1](https://github.com/hyperoslo/ImagePicker/pull/1) ([RamonGilabert](https://github.com/RamonGilabert))



\* *This Change Log was automatically generated by [github_changelog_generator](https://github.com/skywinder/Github-Changelog-Generator)*